Subject: bug#59196: guix pull fails on A20-OlinuXino-LIME2-eMMC

From: Tanguy LE CARROUR <[email-masked]>
Date: Wed, 16 Nov 2022 16:09:59 +0100

Hi,

Quoting Tanguy LE CARROUR (2022-11-16 09:13:00)
> Quoting Denis 'GNUtoo' Carikli (2022-11-16 04:17:15)
> > I've found an idea: guix pull can pull to a precise commit:
> > >       --commit=COMMIT    download the specified "guix" channel COMMIT
> > 
> > So maybe it works with a commit close to Guix 1.3. If that's the case
> > we can probably bisect it to the commit that broke your guix pull.
> 
> Sounds like a good idea! I'll try that later today and let you know!

I bought a brand new "microSDHC UHS-1 A1" card and re-installed the
latest Armbian on it, and… I couldn't even test your idea, for `guix pull`
now fails with the following error message:

```
root@lime2:~# guix pull
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
guix pull: error: Git error: error inflating zlib stream
```

I tried again, but… it failed again! 😞

… so I tried with [the binary install](https://guix.gnu.org/manual/en/html_node/Binary-Installation.html)
of Guix, but it fails to install Guix, for the `/tmp` directory on Armbian
is too small! 😱

I thought installing Guix System on my Lime would be less… frustrating!
I think I'll redirect my energy to other tasks for the time being…

Any way, thanks for your time and help!

-- 
Tanguy